searchData={"items":[{"type":"module","title":"Pane","doc":"Paginated data viewer for IEx. Useful for inspecting large collections and\ndeeply nested structs.","ref":"Pane.html"},{"type":"module","title":"Usage - Pane","doc":"```\niex> data =  File.read!(\"mix.exs\") # Or some other really long string\niex> Pane.console(data)\n```\n\n```\ndefmodule Pane.Mixfile do\nuse Mix.Project\n\n@source_url \"https://github.com/codedge-llc/pane\"\n@version \"0.5.0\"\n\ndef project do\n  [\n    app: :pane,\n    build_embedded: Mix.env() == :prod,\n    deps: deps(),\n    dialyzer: dialyzer(),\n    docs: docs(),\n    elixir: \"~> 1.13\",\n    name: \"Pane\",\n\n[1 of 5] (j)next (k)prev (f)first (l)last (q)quit\n```","ref":"Pane.html#module-usage"},{"type":"module","title":"Available Commands - Pane","doc":"* `j` - Next page\n* `k` - Previous page\n* `f` - First page\n* `l` - Last page\n* `q` - Quit","ref":"Pane.html#module-available-commands"},{"type":"function","title":"Pane.console/1","doc":"Paginates data and starts a pseudo-interactive console.","ref":"Pane.html#console/1"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).","ref":"changelog.html"},{"type":"extras","title":"v0.5.0 - 2024-08-31 - Changelog","doc":"**Changed**\n\n- Various documentation updates ([#5](https://github.com/codedge-llc/pane/pull/5)).\n- Bumped minimum Elixir version to 1.13.","ref":"changelog.html#v0-5-0-2024-08-31"},{"type":"extras","title":"v0.4.1 - 2021-02-27 - Changelog","doc":"**Fixed**\n\n- Include `:iex` in `:extra_applications` to remove compile warning.","ref":"changelog.html#v0-4-1-2021-02-27"},{"type":"extras","title":"v0.4.0 - 2020-09-28 - Changelog","doc":"**Changed**\n\n- Bump minimum Elixir version to 1.5.\n\n**Fixed**\n\n- Remove deprecated compile warnings.","ref":"changelog.html#v0-4-0-2020-09-28"},{"type":"extras","title":"v0.3.0 - 2018-01-18 - Changelog","doc":"- Support for (f)first and (l)last page","ref":"changelog.html#v0-3-0-2018-01-18"},{"type":"extras","title":"v0.2.0 - 2018-01-03 - Changelog","doc":"- Prompt to enable ANSI codes if disabled","ref":"changelog.html#v0-2-0-2018-01-03"},{"type":"extras","title":"v0.1.1 - 2017-03-16 - Changelog","doc":"- Fix: crash on invalid key command","ref":"changelog.html#v0-1-1-2017-03-16"},{"type":"extras","title":"v0.1.0 - 2017-02-26 - Changelog","doc":"- Initial release","ref":"changelog.html#v0-1-0-2017-02-26"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2017-2024 Codedge LLC (https://www.codedge.io/)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}